<template>
  <form class="filter" @submit="emitValue">
    <div class="search">
      <input type="text" v-model="value"/>
      <button>
        <Icon name="arrow-right" size="s"/>
      </button>
    </div>
    <p>Use quotation marks for exact-match: <code>"manuel neuer"</code>. Specify words which must / must not appear in articles: <code>+torwart / -fcb</code>.</p>
  </form>
</template>

<script>
export default {
  name: "Searchbar",
  data() {
    return {
      value: this.searchValue
    }
  },
  props: {
    searchValue: {
      type: String,
      default: ''
    }
  },
  methods: {
    emitValue(e) {
      e.preventDefault();
      this.$emit("input", this.value);
    }
  }
}
</script>

<style lang="scss">
.filter {
  p {
    margin: 3px 15px;
    color: $color-subline;
    @include _font-size($font-size-xs);
  }
}

.search {
  @include _display-flex(flex, center, flex-start, row);
  width: 100%;
  height: $input-height;
  background: $color-white;
  border-radius: $input-height;

  input {
    @include _reset-glow;
    flex: 1;
    padding: 0 30px;
    border: 0;
    background: transparent;

    @include _link-active() {
      background: transparent;
    }
  }

  button {
    @include _reset-button;
    margin-right: 3px;
    width: 36px;
    height: 36px;

    cursor: pointer;
    background-size: 200% auto;
    background-image: linear-gradient(to right, #02AAB0 0%, #00CDAC 51%, #02AAB0 100%);
    border-radius: 50%;

    @include _link-active() {
      background-position: right center;
    }
  }

  .icon {
    position: relative;
    top: -1px;
    color: $color-white;
  }
}
</style>
